com.io7m.r2.core.cursors

## Interface R2VertexP32RGBA8ReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2VertexP32RGBA8Type
  All Known Implementing Classes:
    R2VertexP32RGBA8ByteBuffered

      public interface R2VertexP32RGBA8ReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `R2VertexP32RGBA8` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2RGBA8ReadableType` | `getColorReadable()`
    `com.io7m.jtensors.VectorReadable3FType` | `getPositionReadable()`
    `int` | `metaColorOffsetFromCursor()`
    `int` | `metaColorOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined` | `metaColorType()`
    `int` | `metaPositionOffsetFromCursor()`
    `int` | `metaPositionOffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector` | `metaPositionType()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaPositionOffsetFromType

          int metaPositionOffsetFromType()

      Returns:
        The offset in octets of the `position` field, from the start of the type

    - #### metaPositionOffsetFromCursor

          int metaPositionOffsetFromCursor()

      Returns:
        The offset in octets of the `position` field, from the cursor

    - #### metaPositionType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAVector metaPositionType()

      Returns:
        The type of the `position` field

    - #### getPositionReadable

          com.io7m.jtensors.VectorReadable3FType getPositionReadable()

      Returns:
        Read-only access to the `position` field

    - #### metaColorOffsetFromType

          int metaColorOffsetFromType()

      Returns:
        The offset in octets of the `color` field, from the start of the type

    - #### metaColorOffsetFromCursor

          int metaColorOffsetFromCursor()

      Returns:
        The offset in octets of the `color` field, from the cursor

    - #### metaColorType

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAUserDefined metaColorType()

      Returns:
        The type of the `color` field

    - #### getColorReadable

          R2RGBA8ReadableType getColorReadable()

      Returns:
        Read-only access to the `color` field

Copyright © 2017 <code@io7m.com> http://io7m.com